
This subsection defines the transition functions governing the behaviours of
the control system. Stated in mathematical terms which refer to the variables
described in \autoref{subsec:data-structures}.

\paragraph{Behaviour $\B{1}$} Idle

\begin{table}[H]
\centering
\begin{tabular}{rl}
General form & $\B{1} \triangleq 
    \B{1}\left(\leftidx{^{c,e}}{f}{_{1,1}}, 
    \fter{1}, \ferr{1}
    \right)$\\
\hline
Transition function & $\left[\leftidx{^e_y}{c}{^{i+1}_{1,m}},
    \leftidx{^e_y}{c}{^{i+1}_{1,g}}\right]
    :=\leftidx{^{c,e}}{f}{_{1,1}}\left(\leftidx{^c}{c}{^i_1}\right) \triangleq
    \begin{cases} 
        \leftidx{^{c,e}}{f}{_{1,1,1}}\left(\leftidx{^c}{c}{^i_1}\right) \\ 
        \leftidx{^{c,e}}{f}{_{1,1,2}}\left(\leftidx{^c}{c}{^i_1}\right) \\ 
    \end{cases}$ \\
Partial transition functions &
    $\leftidx{^e_y}{c}{^{i+1}_{1,m}}[\leftidx{^B_E}{T}{_d}]
    :=\leftidx{^{c,e}}{f}{_{1,1,1}}\left(\leftidx{^c}{c}{^i_1}\right)
    \triangleq \leftidx{^B_{E_s}}{T}{_d}$\\
 & $\leftidx{^e_y}{c}{^{i+1}_{1,g}}[d_d]
    :=\leftidx{^{c,e}}{f}{_{1,1,2}}\left(\leftidx{^c}{c}{^i_1}\right)
    \triangleq d_m$\\
\end{tabular}
\caption{Behaviour $\B{1}$ general form and
    transition functions}
\label{table:B1}
\end{table}

\paragraph{Behaviour $\B{2}$} Consume the camera
buffer and update the verified objects hypotheses set. This behaviour will
terminate once a verified object hypotheses is found while the system is active
(Which is controlled by variable $a$ as defined in
\autoref{table:communication-buffers}). This behaviour acts as an \emph{idle}
stage while the system is not active tracking the objects with the Kinect
sensor until the system is activated externally.

\autoref{sec:effectors-and-receptors} explains that the object verification
logic lies inside the Kinect virtual receptor and takes into account the
requirements defined in \autoref{sec:task} as well as to verify that
objects are located in within the manipulator reach. Therefore the fact that
this behaviour terminates does not only mean that the Kinect sensor has located
an object but that the manipulator should be able to pick it.

\begin{table}[H]
\centering
\begin{tabular}{rl}
General form & $\B{2} \triangleq 
    \B{2}\left(\leftidx{^{c,c}}{f}{_{1,1}}, 
    \fter{1}, \ferr{1}
    \right)$\\
\hline
Transition function &
    $\leftidx{^c}{c}{^{i+1}_1}\left[\leftidx{^B_{1..V}}{O}{_c}\right]
    :=\leftidx{^{c,c}}{f}{_{1,2}}\left(\leftidx{^c}{c}{^i_1},
    \leftidx{^r_x}{c}{^i_{1,k}}\right) \triangleq
    \mathcal{US}\left(\leftidx{^B_{1..V}}{O}{_p}, \leftidx{^B_K}{T} \cdot
    \leftidx{^K_{1..V}}{O}{_c}\right)$\\
\hline
Clarifications & \begin{tabular}{c p{0.5\linewidth}}
    $\leftidx{^B_{1..V}}{O}{_p}$ & Previously saved set of verified object
    hypotheses\\
    $\mathcal{US}$ & Update set function\\
    \end{tabular} \\
\end{tabular}
\caption{Behaviour $\B{2}$ general form and
    transition functions}
\label{table:B2}
\end{table}

\paragraph{Behaviour $\B{3}$} Generate the
\emph{pick} parameters: Select an object from the set of verified hypotheses
and estimate \emph{pick} and \emph{pre-pick} pose and the required gripper
aperture to grasp the object. This behaviour will terminate as soon as the
parameters are computed.